<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Agenda\Models\Pathway;
use PHPUnit\Framework\Assert;

trait InteractsWithAgendas
{
    public function assertAgendaHasPathway(Agenda $agenda, Pathway $pathway)
    {
        Assert::assertTrue(
            $pathway->agenda_id === $agenda->id,
            "Failed asserting that agenda has pathway with id {$pathway->id}"
        );

        return $this;
    }
}
